### Method

# Gtk Widget is_ancestor

#### Declaration [src]

    gboolean
    gtk_widget_is_ancestor (
      GtkWidget* widget,
      GtkWidget* ancestor
    )

#### Description [src]

Determines whether the widget is a descendent of `ancestor`.

#### Parameters

`ancestor`

  Type: `GtkWidget`

  Another `GtkWidget`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if `ancestor` contains `widget` as a child, grandchild, great grandchild, etc.